Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 30 Aug 2014, 20:41
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Globulation2 RTS Game
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
battleshooter


Joined: 14 May 2008
Posts: 1070
Location: Australia

PostPosted: Sat 27 Sep 2008, 02:06    Post_subject:  Globulation2 RTS Game  

http://www.globulation2.org/wiki/Main_Page

Globulation2 (Version 0.9.3 beta 3, released Sep 27, 2008) - globulation2-0.9.3b3 11 M

Globulation2 puts the player in charge of a civilization of, globs. There are various ways to win. It brings a new type of gameplay to RTS games. The player chooses the number of units to assign to various tasks, and the units do their best to satisfy the requests. This allows players to manage more units and focus on strategy rather than on micro-management. You can play Globulation 2 in single player mode, through your local network, or over the Internet with Ysagoon Online Gaming (or YOG for short).

Requires SDL libs and OpenGL. (from petget)

Back to top
View user's profile Send_private_message 
droope


Joined: 31 Jul 2008
Posts: 814
Location: Uruguay, Mercedes

PostPosted: Mon 06 Oct 2008, 11:26    Post_subject:  

Downloading. Seems.. err... interesting,


Razz

Thanks
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1070
Location: Australia

PostPosted: Thu 16 Oct 2008, 19:54    Post_subject:  

Hi Droope,

Just wanting some feedback, did Globulation work? I haven't made too many pets before so I was wondering how it went on someone else's system.

Thanks,
Battleshooter
Back to top
View user's profile Send_private_message 
wosifat

Joined: 29 Jun 2008
Posts: 104
Location: Madison Heights, VA

PostPosted: Thu 16 Oct 2008, 22:16    Post_subject:  

Well, I couldn't find the OpenGL file in the repository (ttuuxxx has it though.http://www.puppylinux.ca/ttuuxxx/Libs/) With that and the SDL libs, it works fine.
I love the game, so fine work, sir. More please.
Back to top
View user's profile Send_private_message YIM MSNM 
battleshooter


Joined: 14 May 2008
Posts: 1070
Location: Australia

PostPosted: Fri 17 Oct 2008, 01:12    Post_subject:  

Coolness! Thanks for the feedback Wosifat! Glad you like the game.

Strange about not finding OpenGL. In Puppy 3 it's called "xorg_OPENGL-7.2.pet" and I think it's called "xorg_xorg_full_dri-7.3.pet". But if that's the case I guess it would explain it.

Thanks again,
Battleshooter
Back to top
View user's profile Send_private_message 
wosifat

Joined: 29 Jun 2008
Posts: 104
Location: Madison Heights, VA

PostPosted: Fri 17 Oct 2008, 09:25    Post_subject:  

Thanks battleshooter.
Be nice if PETget had a search feature.
Back to top
View user's profile Send_private_message YIM MSNM 
droope


Joined: 31 Jul 2008
Posts: 814
Location: Uruguay, Mercedes

PostPosted: Sun 26 Oct 2008, 18:25    Post_subject:  

This file Was missing: Libglu.so.1


So i downloaded it from this ttuuxx's thread.

Extracted it on /usr/lib/

and then opened console and typed

ln -s /usr/lib/libglu.so.1.3.070001 /usr/lib/libglu.so.1

But I found the game imposible to play Sad

Expected something else. Smile
libglu.tar.gz
Description 
gz

 Download 
Filename  libglu.tar.gz 
Filesize  155.1 KB 
Downloaded  666 Time(s) 
Back to top
View user's profile Send_private_message 
battleshooter


Joined: 14 May 2008
Posts: 1070
Location: Australia

PostPosted: Mon 27 Oct 2008, 00:08    Post_subject:  

Hmm, thanks for the feedback Droope. Right now I'm away from my desk so I'll have to look into it later. I seem to faintly recall Globulation needing libglu.so.1 when I tested it on Puppy 4. You are using 4 right?

Thanks again,
Battleshooter


Edit: Just as a wild guess, I think libglu.so.1 is found in xorg_xorg_full_dri-7.3.pet. Not sure though
Back to top
View user's profile Send_private_message 
droope


Joined: 31 Jul 2008
Posts: 814
Location: Uruguay, Mercedes

PostPosted: Mon 27 Oct 2008, 18:28    Post_subject:  

Yes, im on 4.


I guess this was the hardest way to install it, then Laughing
Back to top
View user's profile Send_private_message 
JamesTheAwesomeDude


Joined: 29 Jan 2013
Posts: 99
Location: Classified

PostPosted: Sun 17 Mar 2013, 00:21    Post_subject:  

Awww... out of date Sad

This is version 0.9.3, latest is 0.9.4. (if you REALLY wanted to go above and beyond, you could package up the 0.9.5 release candidate Very Happy )

_________________
Version 27. Dotpet. Click here.
(SFS available too!)

Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0576s ][ Queries: 13 (0.0051s) ][ GZIP on ]